package com.dev.swms.server.service.task;

import java.util.Collection;
import java.util.List;

import com.dev.swms.server.model.abstractEntity.AbstractMoveDocDetail;

public interface AllocateManager {
	/**
	 * 上架分配(批量分配)
	 * @param moveDocIds
	 */
	void putawayAllocate(List<Long> moveDocIds);
	
	/**
	 * 拣货分配(批量分配)
	 */
	void allocate(List<Long> pickTicketIds, List<Long> waveDocIds, List<Long> moveDocIds, 
			Collection<AbstractMoveDocDetail> details);

	/**
	 * 发货单拣货分配
	 */
	void pickAllocate(List<Long> pickTicketIds);
	
	/**
	 * 波次拣货分配
	 */
	void waveAllocate(List<Long> waveDocIds);
	
	/**
	 * 移位拣货分配
	 */
	void moveAllocate(List<Long> moveDocIds);
}
